import React from 'react';
import ReactDOM from 'react-dom';
import { Marks } from './Marks';

import { scaleSqrt, max } from 'd3';

export const BubbleMap = ({ worldAtlas, data }) => {
  const sizeValue = (d) => d['Total Dead and Missing'],
    maxRadius = 10;

  const sizeScale = scaleSqrt()
    .domain([0, max(data, sizeValue)])
    .range([0, maxRadius]);

  console.log(sizeScale(max(data, sizeValue)));

  return (
    <Marks
      worldAtlas={worldAtlas}
      data={data}
      sizeScale={sizeScale}
      sizeValue={sizeValue}
    />
  );
};
